## intelhex 2.3.0

=== Makefile ===
PYTHON := python

all:
	@echo Available targets:
	@echo  clean   - clean build directory
	@echo  test    - run unittest
	@echo  epydoc  - run epydoc to create API documentation (python 2)
	@echo  wininst - Windows installer for Python
	@echo  docs    - build docs with ReST and Sphinx
	@echo  wheel   - build python wheel binary archive

.PHONY: clean test epydoc wininst docs

clean:
	$(PYTHON) setup.py clean -a

test:
	$(PYTHON) setup.py test -q

epydoc:
	epydoc.py -o api -v intelhex

wininst:
	$(PYTHON) setup.py bdist_wininst -d.

docs:
	rst2html5.py docs/manual.txt docs/manual.html
	make -C docs/manual html

wheel:
	$(PYTHON) -m pip wheel -w dist .

=== docs/manual/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d .build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/*

html:
#	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

pickle:
	mkdir -p .build/pickle .build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) .build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p .build/json .build/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) .build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

## intelhex 2.1

=== debian/changelog ===
intelhex (2.1-2) unstable; urgency=medium

  * Complete debian/copyright (Closes: #910658)

 -- Neil Williams <codehelp@debian.org>  Tue, 09 Oct 2018 15:28:03 +0100

intelhex (2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #910565: ITP: intelhex -- Intel HEX
    microcontroller format support for Python)

 -- Neil Williams <codehelp@debian.org>  Fri, 05 Oct 2018 14:33:09 +0100

=== debian/control ===
Source: intelhex
Section: python
Priority: optional
Maintainer: Neil Williams <codehelp@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
 python3, python3-setuptools
Standards-Version: 4.2.1
Homepage: https://github.com/bialix/intelhex
X-Python3-Version: >= 3.6
Vcs-Git: https://github.com/codehelp/pkg-intelhex.git
Vcs-Browser: https://github.com/codehelp/pkg-intelhex

Package: python3-intelhex
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python support for Intel HEX (Python3)
 The Intel HEX file format is widely used in the microprocessors
 and microcontrollers area as the de facto standard for code
 representation for microelectronic devices programming.
 .
 This package implements an intelhex Python library to read, write,
 create from scratch and manipulate data from HEX (also known as
 Intel HEX) file format.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=intelhex

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/python3-intelhex/usr/share/python3-intelhex
	mv debian/python3-intelhex/usr/bin/* debian/python3-intelhex/usr/share/python3-intelhex/

override_dh_auto_test:

## intelhex 2.3.0

=== debian/changelog ===
intelhex (2.3.0-4) unstable; urgency=medium

  * Packaging update, no functional changes

 -- Jakob Haufe <sur5r@debian.org>  Sat, 07 Feb 2026 19:14:48 +0100

intelhex (2.3.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Jakob Haufe ]
  * Adopt package (Closes: #976074)

 -- Jakob Haufe <sur5r@debian.org>  Fri, 22 Mar 2024 20:48:07 +0100

intelhex (2.3.0-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 13:41:40 +0100

intelhex (2.3.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 2.3.0
  * Set package maintainer to Debian QA Group.
  * debian/gbp.conf: Dropped, use default settings.
  * debian/patches: Dropped, merged upstream.
  * debian/copyright: Update information.
  * Refresh packaging:
    + Use Vcs-* URLs under Debian Python Team.
    + Bump Standards-Version to 4.6.0.
    + BUmp debhelper compat to v13.
  * debian/rules: Use dh13 syntax.
  * debian/docs: Install upstream documentation.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Oct 2021 13:59:29 -0400

intelhex (2.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source only upload to allow migration to testing.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 08 Dec 2020 12:22:23 -0300

intelhex (2.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixing Python 3.9 blocking issue (Closes: #975805) while waiting for
    new update.
    No need to upstream the patch has the fix has been made in newer
    versions.

 -- Philippe Thierry <philou@debian.org>  Sat, 28 Nov 2020 15:50:13 +0100

=== debian/control ===
Source: intelhex
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-setuptools,
Standards-Version: 4.7.3
Homepage: https://github.com/bialix/intelhex
X-Python3-Version: >= 3.6
Vcs-Git: https://salsa.debian.org/python-team/packages/intelhex.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/intelhex

Package: python3-intelhex
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python support for Intel HEX (Python3)
 The Intel HEX file format is widely used in the microprocessors
 and microcontrollers area as the de facto standard for code
 representation for microelectronic devices programming.
 .
 This package implements an intelhex Python library to read, write,
 create from scratch and manipulate data from HEX (also known as
 Intel HEX) file format.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=intelhex

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	mkdir -p debian/python3-intelhex/usr/share/python3-intelhex
	mv debian/python3-intelhex/usr/bin/* debian/python3-intelhex/usr/share/python3-intelhex/
